#!/usr/bin/perl

use strict;
use warnings;

use lib '.';
use UCW::CGI;

my $graph;

UCW::CGI::parse_args({
	'g' => { 'var' => \$graph, 'default' => 'temp-12h' },
});

print <<AMEN ;
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html><head>
<title>Weather in the Burrow</title>
<body>
<h1>Weather in the Burrow</h1>
AMEN

sub links(@) {
	my $prefix = shift @_;
	my $out = "";
	for my $x (@_) {
		my $y = $prefix . $x;
		if ($graph eq $y) {
			$out .= " <b>$x</b>";
		} else {
			$out .= " <a href='?g=$y'>$x</a>";
		}
	}
	return $out;
}

print "<p>Temperature:", links("temp-", "quick", "12h", "48h", "month"), "\n";
print "<p>Humidity:", links("rh-", "12h", "48h", "month"), "\n";
print "<p>Power:", links("power-", "2h", "2h-detail", "day", "day-detail", "month"), "\n";

if ($graph =~ /^power-/) {
	$graph = "http://micac.burrow.ucw.cz/cgi-bin/$graph";
}
print "<p><img src='$graph.cgi'>\n";
