#!/bin/sh
echo "Content-type: image/png"
echo
D=/var/log/arexxd
exec rrdtool graph - \
	--start 'now-30d' \
	--end 'now' \
	--title "Temperature: MIN and MAX" \
	-w 720 -h 600 \
	-x DAY:1:DAY:5:DAY:5:0:%d:%m \
	-y 5:1 \
	--right-axis 1:0 --right-axis-format "%3.0lf" \
	--units-exponent 0 --lower-limit -20 --upper-limit 40 --rigid \
	--legend-position east \
	DEF:alo=$D/sensor-ursarium.rrd:temp:MIN 'LINE2:alo#0000cc:Ursarium\n' \
	DEF:ahi=$D/sensor-ursarium.rrd:temp:MAX 'LINE2:ahi#0000cc' \
	DEF:dlo=$D/sensor-catarium.rrd:temp:MIN 'LINE2:dlo#cc0000:Catarium\n' \
	DEF:dhi=$D/sensor-catarium.rrd:temp:MAX 'LINE2:dhi#cc0000' \
	DEF:clo=$D/sensor-balcony.rrd:temp:MIN 'LINE2:clo#cc00cc:Balcony\n' \
	DEF:chi=$D/sensor-balcony.rrd:temp:MAX 'LINE2:chi#cc00cc' \
	DEF:blo=$D/sensor-outside.rrd:temp:MIN 'LINE2:blo#00cc00:Outside' \
	DEF:bhi=$D/sensor-outside.rrd:temp:MAX 'LINE2:bhi#00cc00' \
	'HRULE:0#0000ff'
